<?php
/**
 * Top Section options
 *
 * @package Theme Palace
 * @subpackage Travel Ultimate Pro
 * @since Travel Ultimate Pro 1.0.0
 */

// Add Top section
$wp_customize->add_section( 'travel_ultimate_pro_top_section', array(
	'title'             => esc_html__( 'Header Top','travel-ultimate-pro' ),
	'description'       => esc_html__( 'Top Section options.', 'travel-ultimate-pro' ),
	'panel'             => 'travel_ultimate_pro_front_page_panel',
) );

// Top content enable control and setting
$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[top_section_enable]', array(
	'default'			=> 	$options['top_section_enable'],
	'sanitize_callback' => 'travel_ultimate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travel_Ultimate_Pro_Switch_Control( $wp_customize, 'travel_ultimate_pro_theme_options[top_section_enable]', array(
	'label'             => esc_html__( 'Top Section Enable', 'travel-ultimate-pro' ),
	'section'           => 'travel_ultimate_pro_top_section',
	'on_off_label' 		=> travel_ultimate_pro_switch_options(),
) ) );

// top description setting and control
$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[top_contact_info]', array(
	'sanitize_callback' => 'wp_kses_post',
	'default'			=> $options['top_contact_info'],
) );

$wp_customize->add_control( 'travel_ultimate_pro_theme_options[top_contact_info]', array(
	'label'           	=> esc_html__( 'Contact Info', 'travel-ultimate-pro' ),
	'section'        	=> 'travel_ultimate_pro_top_section',
	'active_callback' 	=> 'travel_ultimate_pro_is_topbar_section_enable',
	'type'				=> 'textarea',
) );

// Righ menu enable control and setting
$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[top_right_menu]', array(
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( new Travel_Ultimate_Pro_Note_Control( $wp_customize, 'travel_ultimate_pro_theme_options[top_right_menu]', array(
	'label'             => sprintf( __( 'Manage the top right menu from %1$shere%2$s', 'travel-ultimate-pro' ), '<a href="" id="top-menu">', '</a>' ),
	'section'           => 'travel_ultimate_pro_top_section',
	'active_callback' 	=> 'travel_ultimate_pro_is_topbar_section_enable',
) ) );

if ( $options['home_layout'] == 'fifth-design' ):

$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[advertisement_image]', array(
	'sanitize_callback' => 'travel_ultimate_pro_sanitize_image'
	) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'travel_ultimate_pro_theme_options[advertisement_image]',
	array(
		'label'       		=> esc_html__( 'Ads Image', 'travel-ultimate-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'travel-ultimate-pro' ), 512, 520 ),
		'section'     		=> 'travel_ultimate_pro_top_section',
		) ) );

// advertisement btn link setting and control
$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[advertisement_link]', array(
	'sanitize_callback' => 'esc_url_raw',
	) );

$wp_customize->add_control( 'travel_ultimate_pro_theme_options[advertisement_link]', array(
	'label'           	=> esc_html__( 'Ads Link', 'travel-ultimate-pro' ),
	'section'        	=> 'travel_ultimate_pro_top_section',
	'type'				=> 'url',
	) );

endif;